//
//  GenIIData.swift
//  Pokedex
//
//  Created by Jean Manas on 11/2/21.
//

import Foundation

struct GenIIData: PokemonProvider {
    func list() -> [Pokemon] {
        return [
            Pokemon(152, "Chikorita", 45, 49, 65, 49, 65, 45, 318, "Grass"),
            Pokemon(153, "Bayleef", 60, 62, 80, 63, 80, 69, 414, "Grass"),
            Pokemon(154, "Meganium", 80, 82, 100, 83, 100, 80, 525, "Grass"),
            Pokemon(155, "Cyndaquil", 39, 52, 43, 60, 50, 65, 309, "Fire"),
            Pokemon(156, "Quilava", 58, 64, 58, 80, 65, 80, 405, "Fire"),
            Pokemon(157, "Typhlosion", 78, 84, 78, 109, 85, 100, 534, "Fire"),
            Pokemon(158, "Totodile", 50, 65, 64, 44, 48, 43, 314, "Water"),
            Pokemon(159, "Croconaw", 65, 80, 80, 59, 63, 58, 405, "Water"),
            Pokemon(160, "Feraligatr", 85, 105, 100, 79, 83, 78, 530, "Water"),
            Pokemon(161, "Sentret", 35, 46, 34, 35, 45, 20, 215, "Normal"),
            Pokemon(162, "Furret", 85, 76, 64, 45, 55, 90, 415, "Normal"),
            Pokemon(163, "Hoothoot", 60, 30, 30, 36, 56, 50, 262, "Normal"),
            Pokemon(164, "Noctowl", 100, 50, 50, 76, 96, 70, 442, "Normal"),
            Pokemon(165, "Ledyba", 40, 20, 30, 40, 80, 55, 265, "Bug"),
            Pokemon(166, "Ledian", 55, 35, 50, 55, 110, 85, 390, "Bug"),
            Pokemon(167, "Spinarak", 40, 60, 40, 40, 40, 30, 250, "Bug"),
            Pokemon(168, "Ariados", 70, 90, 70, 60, 60, 40, 390, "Bug"),
            Pokemon(169, "Crobat", 85, 90, 80, 70, 80, 130, 535, "Poison"),
            Pokemon(170, "Chinchou", 75, 38, 38, 56, 56, 67, 330, "Water"),
            Pokemon(171, "Lanturn", 125, 58, 58, 76, 76, 67, 460, "Water"),
            Pokemon(172, "Pichu", 20, 40, 15, 35, 35, 60, 205, "Electric"),
            Pokemon(173, "Cleffa", 50, 25, 28, 45, 55, 15, 218, "Normal"),
            Pokemon(174, "Igglybuff", 90, 30, 15, 40, 20, 15, 210, "Normal"),
            Pokemon(175, "Togepi", 35, 20, 65, 40, 65, 20, 245, "Normal"),
            Pokemon(176, "Togetic", 55, 40, 85, 80, 105, 40, 405, "Normal"),
            Pokemon(177, "Natu", 40, 50, 45, 70, 45, 70, 320, "Psychic"),
            Pokemon(178, "Xatu", 65, 75, 70, 95, 70, 95, 470, "Psychic"),
            Pokemon(179, "Mareep", 55, 40, 40, 65, 45, 35, 280, "Electric"),
            Pokemon(180, "Flaaffy", 70, 55, 55, 80, 60, 45, 365, "Electric"),
            Pokemon(181, "Ampharos", 90, 75, 75, 115, 90, 55, 500, "Electric"),
            Pokemon(182, "Bellossom", 75, 80, 85, 90, 100, 50, 480, "Grass"),
            Pokemon(183, "Marill", 70, 20, 50, 20, 50, 40, 250, "Water"),
            Pokemon(184, "Azumarill", 100, 50, 80, 50, 80, 50, 410, "Water"),
            Pokemon(185, "Sudowoodo", 70, 100, 115, 30, 65, 30, 410, "Rock"),
            Pokemon(186, "Politoed", 90, 75, 75, 90, 100, 70, 500, "Water"),
            Pokemon(187, "Hoppip", 35, 35, 40, 35, 55, 50, 250, "Grass"),
            Pokemon(188, "Skiploom", 55, 45, 50, 45, 65, 80, 340, "Grass"),
            Pokemon(189, "Jumpluff", 75, 55, 70, 55, 85, 110, 450, "Grass"),
            Pokemon(190, "Aipom", 55, 70, 55, 40, 55, 85, 360, "Normal"),
            Pokemon(191, "Sunkern", 30, 30, 30, 30, 30, 30, 180, "Grass"),
            Pokemon(192, "Sunflora", 75, 75, 55, 105, 85, 30, 425, "Grass"),
            Pokemon(193, "Yanma", 65, 65, 45, 75, 45, 95, 390, "Bug"),
            Pokemon(194, "Wooper", 55, 45, 45, 25, 25, 15, 210, "Water"),
            Pokemon(195, "Quagsire", 95, 85, 85, 65, 65, 35, 430, "Water"),
            Pokemon(196, "Espeon", 65, 65, 60, 130, 95, 110, 525, "Psychic"),
            Pokemon(197, "Umbreon", 95, 65, 110, 60, 130, 65, 525, "Dark"),
            Pokemon(198, "Murkrow", 60, 85, 42, 85, 42, 91, 405, "Dark"),
            Pokemon(199, "Slowking", 95, 75, 80, 100, 110, 30, 490, "Water"),
            Pokemon(200, "Misdreavus", 60, 60, 60, 85, 85, 85, 435, "Ghost"),
            Pokemon(201, "Unown", 48, 72, 48, 72, 48, 48, 336, "Psychic"),
            Pokemon(202, "Wobbuffet", 190, 33, 58, 33, 58, 33, 405, "Psychic"),
            Pokemon(203, "Girafarig", 70, 80, 65, 90, 65, 85, 455, "Normal"),
            Pokemon(204, "Pineco", 50, 65, 90, 35, 35, 15, 290, "Bug"),
            Pokemon(205, "Forretress", 75, 90, 140, 60, 60, 40, 465, "Bug"),
            Pokemon(206, "Dunsparce", 100, 70, 70, 65, 65, 45, 415, "Normal"),
            Pokemon(207, "Gligar", 65, 75, 105, 35, 65, 85, 430, "Ground"),
            Pokemon(208, "Steelix", 75, 85, 200, 55, 65, 30, 510, "Steel"),
            Pokemon(209, "Snubbull", 60, 80, 50, 40, 40, 30, 300, "Normal"),
            Pokemon(210, "Granbull", 90, 120, 75, 60, 60, 45, 450, "Normal"),
            Pokemon(211, "Qwilfish", 65, 95, 75, 55, 55, 85, 430, "Water"),
            Pokemon(212, "Scizor", 70, 130, 100, 55, 80, 65, 500, "Bug"),
            Pokemon(213, "Shuckle", 20, 10, 230, 10, 230, 5, 505, "Bug"),
            Pokemon(214, "Heracross", 80, 125, 75, 40, 95, 85, 500, "Bug"),
            Pokemon(215, "Sneasel", 55, 95, 55, 35, 75, 115, 430, "Dark"),
            Pokemon(216, "Teddiursa", 60, 80, 50, 50, 50, 40, 330, "Normal"),
            Pokemon(217, "Ursaring", 90, 130, 75, 75, 75, 55, 500, "Normal"),
            Pokemon(218, "Slugma", 40, 40, 40, 70, 40, 20, 250, "Fire"),
            Pokemon(219, "Magcargo", 50, 50, 120, 80, 80, 30, 410, "Fire"),
            Pokemon(220, "Swinub", 50, 50, 40, 30, 30, 50, 250, "Ice"),
            Pokemon(221, "Piloswine", 100, 100, 80, 60, 60, 50, 450, "Ice"),
            Pokemon(222, "Corsola", 55, 55, 85, 65, 85, 35, 380, "Water"),
            Pokemon(223, "Remoraid", 35, 65, 35, 65, 35, 65, 300, "Water"),
            Pokemon(224, "Octillery", 75, 105, 75, 105, 75, 45, 480, "Water"),
            Pokemon(225, "Delibird", 45, 55, 45, 65, 45, 75, 330, "Ice"),
            Pokemon(226, "Mantine", 65, 40, 70, 80, 140, 70, 465, "Water"),
            Pokemon(227, "Skarmory", 65, 80, 140, 40, 70, 70, 465, "Steel"),
            Pokemon(228, "Houndour", 45, 60, 30, 80, 50, 65, 330, "Dark"),
            Pokemon(229, "Houndoom", 75, 90, 50, 110, 80, 95, 500, "Dark"),
            Pokemon(230, "Kingdra", 75, 95, 95, 95, 95, 85, 540, "Water"),
            Pokemon(231, "Phanpy", 90, 60, 60, 40, 40, 40, 330, "Ground"),
            Pokemon(232, "Donphan", 90, 120, 120, 60, 60, 50, 500, "Ground"),
            Pokemon(233, "Porygon2", 85, 80, 90, 105, 95, 60, 515, "Normal"),
            Pokemon(234, "Stantler", 73, 95, 62, 85, 65, 85, 465, "Normal"),
            Pokemon(235, "Smeargle", 55, 20, 35, 20, 45, 75, 250, "Normal"),
            Pokemon(236, "Tyrogue", 35, 35, 35, 35, 35, 35, 210, "Fighting"),
            Pokemon(237, "Hitmontop", 50, 95, 95, 35, 110, 70, 455, "Fighting"),
            Pokemon(238, "Smoochum", 45, 30, 15, 85, 65, 65, 305, "Ice"),
            Pokemon(239, "Elekid", 45, 63, 37, 65, 55, 95, 360, "Electric"),
            Pokemon(240, "Magby", 45, 75, 37, 70, 55, 83, 365, "Fire"),
            Pokemon(241, "Miltank", 95, 80, 105, 40, 70, 100, 490, "Normal"),
            Pokemon(242, "Blissey", 255, 10, 10, 75, 135, 55, 540, "Normal"),
            Pokemon(243, "Raikou", 90, 85, 75, 115, 100, 115, 580, "Electric"),
            Pokemon(244, "Entei", 115, 115, 85, 90, 75, 100, 580, "Fire"),
            Pokemon(245, "Suicune", 100, 75, 115, 90, 115, 85, 580, "Water"),
            Pokemon(246, "Larvitar", 50, 64, 50, 45, 50, 41, 300, "Rock"),
            Pokemon(247, "Pupitar", 70, 84, 70, 65, 70, 51, 410, "Rock"),
            Pokemon(248, "Tyranitar", 100, 134, 110, 95, 100, 61, 600, "Rock"),
            Pokemon(249, "Lugia", 106, 90, 130, 90, 154, 110, 680, "Psychic"),
            Pokemon(250, "Ho oh", 106, 130, 90, 110, 154, 90, 680, "Fire"),
            Pokemon(251, "Celebi", 100, 100, 100, 100, 100, 100, 600, "Psychic"),
        ]
    }
}
